Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class ExpressionEvaluationFailedEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ScopeEvent
                      org.apache.ode.bpel.evt.ExpressionEvaluationEvent
                          org.apache.ode.bpel.evt.ExpressionEvaluationFailedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ExpressionEvaluationFailedEvent

extends ExpressionEvaluationEvent

Signals expression evaluation triggered a fault.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`ExpressionEvaluationFailedEvent()`

Method Summary
`javax.xml.namespace.QName` | `getFault()` fault qname
`void` | `setFault(javax.xml.namespace.QName fault)`

Methods inherited from class org.apache.ode.bpel.evt.ExpressionEvaluationEvent
`getExpression, getType, setExpression`

Methods inherited from class org.apache.ode.bpel.evt.ScopeEvent
`getParentScopeId, getParentScopesNames, getScopeDeclarationId, getScopeId, getScopeName, setParentScopeId, setParentScopesNames, setScopeDeclerationId, setScopeId, setScopeName`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionEvaluationFailedEvent

    public ExpressionEvaluationFailedEvent()

Method Detail

### getFault

    public javax.xml.namespace.QName getFault()

  fault qname

### setFault

    public void setFault(javax.xml.namespace.QName fault)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD